maliit-plugin-presage

Rating: 
5
Your rating: None Average: 5 (2 votes)

This input handler plugin utilizes an open-source text prediction solution (not the Xt9 engine shipped by the Jolla). It allows you to use it on community supported language pack or if you have a ported device, in addition to the official ones.

Please do not install this plugin directly, but install one of the following localized keyboards:

https://openrepos.net/content/sailfishkeyboard/keyboard-presage-enus

https://openrepos.net/content/sailfishkeyboard/keyboard-presage-etee

https://openrepos.net/content/sailfishkeyboard/keyboard-presage-svse

Source code can be found here:

https://github.com/sailfish-keyboard/sailfishos-presage-predictor

Category:

Keywords:

Changelog: 

(none)

Comments

levone1's picture

Saw note "Do not install directly ,but install one of the following ...", so attempted to install any of the following, but get error, "...requires mailit-plugin-presage which cannot be provided", (in repo apps), or "error installing" notification, (trying to install rpm). Of course I went ahead and tried to install this package directly anyway, but no go... My phone is Xperia X Compact with sfos port, so that could be the problem, but just wanted to report. Thanks

rinigus's picture

It sounds like the repository is not refreshed properly on your device. Please try pkcon refresh in terminal and try to install again via keyboard package.

Thank you for reporting it and please let us know how did it go.

levone1's picture

Thanks. pkcon refreshed normally. Tried again to install in Storeman, and hangs perpetually on 'installing'. Tries with 'pkcon install' and got same error message: '...requires mailit-plugin-presage...'.

rinigus's picture

It can be changed configuration at Openrepos regarding packages with jolla in the name. Can you get the package by browser? I'm away right now, so it's limited what I can do in next few hours

levone1's picture

No problem - I already tried installing files manually, so I have the downloads. Are you saying there's some modification I can make, (remove the word 'Jolla' or something), and try again?

rinigus's picture

No, there isn't anything to do regarding .jolla :)

I did try by uninstalling it all, refreshing pkcon and installing again. On my device (ported onyx), all works as expected. All I can suggest, is to remove the repository, add it again, and try again. I hope it will work.

Otherwise, try to install a keyboard package via zypper or pkcon and send us output. Its really strange.

levone1's picture

well, I got curious to the point of disabling all repos, unapplying all patches, and uninstalling all repo apps. Then I rebooted and tried again, and same result. I guess it's an issue with this port...

rinigus's picture

Thank you for this extreme testing. Would you mind to paste the output of
zypper in keyboard-presage-en_US

Maybe there is some library missing? Although, we did link many things statically.

levone1's picture

Ok, interesting... (sorry I didn't know about the zypper thing sooner.  I'm new to sfos..).  Ran the zypper command, and got error, [paraphrase] ('unable to install... requirement cannot be provided...  here's 3 solutions: 1) uninstall following packages, [2 presage lib pkgs];  2) don't install this package;  3) install this package and break it'.  I chose '1', and it quickly ran some output and said install successful.  Then I went to Settings > Text Input, and as soon as I clicked it, the phone soft-rebooted.  I hard-rebooted and tried again, and same thing; as soon as I click 'Text Input', it reboots.  I used pkcon in Terminal to remove keyboard-en_US, and removed sucessfully, and I can now access Text Input settings again...

Anyway, other keyboards, (Dolphin, etc), working fine, so no big deal for me.  I just wanted to try it because of recent update.  Let me know if any further ideas.  Thanks

rinigus's picture

I didn't realize that you had earlier version installed. As you can see at https://github.com/sailfish-keyboard/sailfishos-presage-predictor/issues/28, instructions for you are missing.

We have made some major changes in keyboards. Let's try to fix yours by

* uninstall all presage keyboards and plugins (you are probably there). Check with zypper se presage

* go to keyboard selection and select deselect some of the available ones. I hope (but don't know) that this will rewrite your keyboard settings

* reboot for good measure and check that settings are the same aa you left them

* install presage keyboard (en_US) and see if you still have softboot

If it will not help, we'll have to check where the settings are stored.

levone1's picture

ok- Uninstalling presage pkgs solved the installation problem. Installed through Warehouse and everything smooth. Then went to settings and enabled, and no errors. Then tried to use keyboard with browser, and stock keyboard poppedup, so I long-pressed space bar to change keyboards, but nothing. Went back to Settings to disable stock keyboard, and reboot, as soon as I pressed 'Text Input'. Hard-rebooted, and went back to settings. This time I was able to get to 'keyboards', but rebooted when I tapped that. Tried again, and the same.

rinigus's picture

From your description, looks like you didn't change settings between uninstalling presage and reboot. Or you did that and just didn't mention?

levone1's picture

Update - I have no Idea why, buy after 2 more reboots and a Settings change, everything working now. I didn't change anything else. I now have access to both keyboards in Setfings, and in spacebar long-press, with prediction. Thanks.

rinigus's picture

Happy to hear it, even if it remains a mistery :)

levone1's picture

no keyboards were activated afrer that. I checked, but only 'English' was selected. I think you can't unselect all of them...

rinigus's picture

Yes, you probably cannot. But in that case, I would suggest to pick up an extra one - so the configuration would get changed.

As far as I understood, all is fine now and you could use predictive keyboard, right?